Package picard.illumina.parser.readers

## Class EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics

- java.lang.Object
- - picard.illumina.parser.readers.EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics

- Enclosing class:
    EmpiricalPhasingMetricsOutReader

      public static class EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `cycle` |
    `TileMetricsOutReader.IlluminaLaneTileCode` | `laneTileCode` |
    `float` | `phasingWeight` |
    `float` | `prephasingWeight` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### laneTileCode

          public final TileMetricsOutReader.IlluminaLaneTileCode laneTileCode

    - #### cycle

          public final int cycle

    - #### phasingWeight

          public final float phasingWeight

    - #### prephasingWeight

          public final float prephasingWeight